import { Column } from './column';
import { DataSet } from './data-set';
import { Row } from './row';
export declare class Cell {
    value: any;
    row: Row;
    column: Column;
    dataSet: DataSet;
    private _newValue;
    protected static PREPARE(value: any): Function;
    constructor(value: any, row: Row, column: Column, dataSet: DataSet);
    get newValue(): any;
    set newValue(value: any);
    getValue(): any;
}
